# This file was automatically generated by SWIG (http://www.swig.org).
# Version 3.0.12
#
# Do not make changes to this file unless you know what you are doing--modify
# the SWIG interface file instead.

from sys import version_info as _swig_python_version_info
if _swig_python_version_info >= (2, 7, 0):
    def swig_import_helper():
        import importlib
        pkg = __name__.rpartition('.')[0]
        mname = '.'.join((pkg, '_ps_amount_extractor')).lstrip('.')
        try:
            return importlib.import_module(mname)
        except ImportError:
            return importlib.import_module('_ps_amount_extractor')
    _ps_amount_extractor = swig_import_helper()
    del swig_import_helper
elif _swig_python_version_info >= (2, 6, 0):
    def swig_import_helper():
        from os.path import dirname
        import imp
        fp = None
        try:
            fp, pathname, description = imp.find_module('_ps_amount_extractor', [dirname(__file__)])
        except ImportError:
            import _ps_amount_extractor
            return _ps_amount_extractor
        try:
            _mod = imp.load_module('_ps_amount_extractor', fp, pathname, description)
        finally:
            if fp is not None:
                fp.close()
        return _mod
    _ps_amount_extractor = swig_import_helper()
    del swig_import_helper
else:
    import _ps_amount_extractor
del _swig_python_version_info

try:
    _swig_property = property
except NameError:
    pass  # Python < 2.2 doesn't have 'property'.

try:
    import builtins as __builtin__
except ImportError:
    import __builtin__

def _swig_setattr_nondynamic(self, class_type, name, value, static=1):
    if (name == "thisown"):
        return self.this.own(value)
    if (name == "this"):
        if type(value).__name__ == 'SwigPyObject':
            self.__dict__[name] = value
            return
    method = class_type.__swig_setmethods__.get(name, None)
    if method:
        return method(self, value)
    if (not static):
        if _newclass:
            object.__setattr__(self, name, value)
        else:
            self.__dict__[name] = value
    else:
        raise AttributeError("You cannot add attributes to %s" % self)


def _swig_setattr(self, class_type, name, value):
    return _swig_setattr_nondynamic(self, class_type, name, value, 0)


def _swig_getattr(self, class_type, name):
    if (name == "thisown"):
        return self.this.own()
    method = class_type.__swig_getmethods__.get(name, None)
    if method:
        return method(self)
    raise AttributeError("'%s' object has no attribute '%s'" % (class_type.__name__, name))


def _swig_repr(self):
    try:
        strthis = "proxy of " + self.this.__repr__()
    except __builtin__.Exception:
        strthis = ""
    return "<%s.%s; %s >" % (self.__class__.__module__, self.__class__.__name__, strthis,)

try:
    _object = object
    _newclass = 1
except __builtin__.Exception:
    class _object:
        pass
    _newclass = 0

class SwigPyIterator(_object):
    __swig_setmethods__ = {}
    __setattr__ = lambda self, name, value: _swig_setattr(self, SwigPyIterator, name, value)
    __swig_getmethods__ = {}
    __getattr__ = lambda self, name: _swig_getattr(self, SwigPyIterator, name)

    def __init__(self, *args, **kwargs):
        raise AttributeError("No constructor defined - class is abstract")
    __repr__ = _swig_repr
    __swig_destroy__ = _ps_amount_extractor.delete_SwigPyIterator
    __del__ = lambda self: None

    def value(self):
        return _ps_amount_extractor.SwigPyIterator_value(self)

    def incr(self, n=1):
        return _ps_amount_extractor.SwigPyIterator_incr(self, n)

    def decr(self, n=1):
        return _ps_amount_extractor.SwigPyIterator_decr(self, n)

    def distance(self, x):
        return _ps_amount_extractor.SwigPyIterator_distance(self, x)

    def equal(self, x):
        return _ps_amount_extractor.SwigPyIterator_equal(self, x)

    def copy(self):
        return _ps_amount_extractor.SwigPyIterator_copy(self)

    def next(self):
        return _ps_amount_extractor.SwigPyIterator_next(self)

    def __next__(self):
        return _ps_amount_extractor.SwigPyIterator___next__(self)

    def previous(self):
        return _ps_amount_extractor.SwigPyIterator_previous(self)

    def advance(self, n):
        return _ps_amount_extractor.SwigPyIterator_advance(self, n)

    def __eq__(self, x):
        return _ps_amount_extractor.SwigPyIterator___eq__(self, x)

    def __ne__(self, x):
        return _ps_amount_extractor.SwigPyIterator___ne__(self, x)

    def __iadd__(self, n):
        return _ps_amount_extractor.SwigPyIterator___iadd__(self, n)

    def __isub__(self, n):
        return _ps_amount_extractor.SwigPyIterator___isub__(self, n)

    def __add__(self, n):
        return _ps_amount_extractor.SwigPyIterator___add__(self, n)

    def __sub__(self, *args):
        return _ps_amount_extractor.SwigPyIterator___sub__(self, *args)
    def __iter__(self):
        return self
SwigPyIterator_swigregister = _ps_amount_extractor.SwigPyIterator_swigregister
SwigPyIterator_swigregister(SwigPyIterator)

class UCharArray(_object):
    __swig_setmethods__ = {}
    __setattr__ = lambda self, name, value: _swig_setattr(self, UCharArray, name, value)
    __swig_getmethods__ = {}
    __getattr__ = lambda self, name: _swig_getattr(self, UCharArray, name)
    __repr__ = _swig_repr

    def __init__(self, nelements):
        this = _ps_amount_extractor.new_UCharArray(nelements)
        try:
            self.this.append(this)
        except __builtin__.Exception:
            self.this = this
    __swig_destroy__ = _ps_amount_extractor.delete_UCharArray
    __del__ = lambda self: None

    def __getitem__(self, index):
        return _ps_amount_extractor.UCharArray___getitem__(self, index)

    def __setitem__(self, index, value):
        return _ps_amount_extractor.UCharArray___setitem__(self, index, value)

    def cast(self):
        return _ps_amount_extractor.UCharArray_cast(self)
    if _newclass:
        frompointer = staticmethod(_ps_amount_extractor.UCharArray_frompointer)
    else:
        frompointer = _ps_amount_extractor.UCharArray_frompointer
UCharArray_swigregister = _ps_amount_extractor.UCharArray_swigregister
UCharArray_swigregister(UCharArray)

def UCharArray_frompointer(t):
    return _ps_amount_extractor.UCharArray_frompointer(t)
UCharArray_frompointer = _ps_amount_extractor.UCharArray_frompointer

HORIZONTAL_DIRECTION = _ps_amount_extractor.HORIZONTAL_DIRECTION
VERTICAL_DIRECTION = _ps_amount_extractor.VERTICAL_DIRECTION
MIN_LINE_LENGTH = _ps_amount_extractor.MIN_LINE_LENGTH
MAX_GAP_LENGTH = _ps_amount_extractor.MAX_GAP_LENGTH
MIN_VERTICAL_SPACING = _ps_amount_extractor.MIN_VERTICAL_SPACING
MIN_HORIZONTAL_SPACING = _ps_amount_extractor.MIN_HORIZONTAL_SPACING
class Rect(_object):
    __swig_setmethods__ = {}
    __setattr__ = lambda self, name, value: _swig_setattr(self, Rect, name, value)
    __swig_getmethods__ = {}
    __getattr__ = lambda self, name: _swig_getattr(self, Rect, name)
    __repr__ = _swig_repr
    __swig_setmethods__["x"] = _ps_amount_extractor.Rect_x_set
    __swig_getmethods__["x"] = _ps_amount_extractor.Rect_x_get
    if _newclass:
        x = _swig_property(_ps_amount_extractor.Rect_x_get, _ps_amount_extractor.Rect_x_set)
    __swig_setmethods__["y"] = _ps_amount_extractor.Rect_y_set
    __swig_getmethods__["y"] = _ps_amount_extractor.Rect_y_get
    if _newclass:
        y = _swig_property(_ps_amount_extractor.Rect_y_get, _ps_amount_extractor.Rect_y_set)
    __swig_setmethods__["width"] = _ps_amount_extractor.Rect_width_set
    __swig_getmethods__["width"] = _ps_amount_extractor.Rect_width_get
    if _newclass:
        width = _swig_property(_ps_amount_extractor.Rect_width_get, _ps_amount_extractor.Rect_width_set)
    __swig_setmethods__["height"] = _ps_amount_extractor.Rect_height_set
    __swig_getmethods__["height"] = _ps_amount_extractor.Rect_height_get
    if _newclass:
        height = _swig_property(_ps_amount_extractor.Rect_height_get, _ps_amount_extractor.Rect_height_set)

    def __init__(self):
        this = _ps_amount_extractor.new_Rect()
        try:
            self.this.append(this)
        except __builtin__.Exception:
            self.this = this
    __swig_destroy__ = _ps_amount_extractor.delete_Rect
    __del__ = lambda self: None
Rect_swigregister = _ps_amount_extractor.Rect_swigregister
Rect_swigregister(Rect)


def detectAmount(imageData, rows, cols):
    return _ps_amount_extractor.detectAmount(imageData, rows, cols)
detectAmount = _ps_amount_extractor.detectAmount
# This file is compatible with both classic and new-style classes.


